SchedulePolicy (CMDB Model API)
Keywords: com.collation.platform.model.discovery.schedule.SchedulePolicy interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.schedule
Interface SchedulePolicy

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SchedulePolicy

extends LogicalElement

Represents a schedule Information

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  SCHDPLCY
Display Name:
  name

Field Summary
`static int` | `CUSTOM_VIEWS`
`static int` | `OBJECTS`
`static int` | `SCOPE_ELEMENTS`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`long` | `getInterval()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPeriod()`
`DiscoveryProfile` | `getProfile()`
`long` | `getStartTime()`
`int` | `getTypeOfSchedule()`
`java.lang.String` | `getUserFriendlyNames()`
`boolean` | `hasInterval()`
`boolean` | `hasName()`
`boolean` | `hasPeriod()`
`boolean` | `hasProfile()`
`boolean` | `hasStartTime()`
`boolean` | `hasTypeOfSchedule()`
`boolean` | `hasUserFriendlyNames()`
`void` | `setInterval(long interval)`
`void` | `setName(java.lang.String name)`
`void` | `setPeriod(java.lang.String period)`
`void` | `setProfile(DiscoveryProfile profile)`
`void` | `setStartTime(long date)`
`void` | `setTypeOfSchedule(int type)`
`void` | `setUserFriendlyNames(java.lang.String userFriendlyNames)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### SCOPE_ELEMENTS

    static final int SCOPE_ELEMENTS

See Also:
  Constant Field Values

### OBJECTS

    static final int OBJECTS

See Also:
  Constant Field Values

### CUSTOM_VIEWS

    static final int CUSTOM_VIEWS

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getInterval

    long getInterval()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInterval

    void setInterval(long interval)

### hasInterval

    boolean hasInterval()

### getTypeOfSchedule

    int getTypeOfSchedule()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTypeOfSchedule

    void setTypeOfSchedule(int type)

### hasTypeOfSchedule

    boolean hasTypeOfSchedule()

### getUserFriendlyNames

    java.lang.String getUserFriendlyNames()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUserFriendlyNames

    void setUserFriendlyNames(java.lang.String userFriendlyNames)

### hasUserFriendlyNames

    boolean hasUserFriendlyNames()

### getStartTime

    long getStartTime()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStartTime

    void setStartTime(long date)

### hasStartTime

    boolean hasStartTime()

### getPeriod

    java.lang.String getPeriod()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPeriod

    void setPeriod(java.lang.String period)

### hasPeriod

    boolean hasPeriod()

### getProfile

    DiscoveryProfile getProfile()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProfile

    void setProfile(DiscoveryProfile profile)

### hasProfile

    boolean hasProfile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD